Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IDataElementComposite

public interface IDataElementComposite
Composite for inputing a DataElement

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DATA_MODIFIED`
Event type of modifying DateElement
`static final int`
`FRACTION_CONVERTED`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(org.eclipse.swt.widgets.Listener listener)`
`org.eclipse.birt.chart.model.data.DataElement`
`getDataElement()`
Gets data
`void`
`setDataElement(org.eclipse.birt.chart.model.data.DataElement data)`
Sets data
`void`
`setEnabled(boolean enabled)`
`void`
`setEObjectParent(org.eclipse.emf.ecore.EObject eParent)`
`void`
`setLayoutData(Object layoutData)`

## Field Details

### DATA_MODIFIED

static final int DATA_MODIFIED
Event type of modifying DateElement

See Also:
  - Constant Field Values

### FRACTION_CONVERTED

static final int FRACTION_CONVERTED

See Also:
  - Constant Field Values

## Method Details

### getDataElement

org.eclipse.birt.chart.model.data.DataElement getDataElement()
Gets data

Returns:
  data

### setDataElement

void setDataElement(org.eclipse.birt.chart.model.data.DataElement data)
Sets data

Parameters:
  `data` - data

### setEnabled

void setEnabled(boolean enabled)

### setLayoutData

void setLayoutData(Object layoutData)

### addListener

void addListener(org.eclipse.swt.widgets.Listener listener)

### setEObjectParent

void setEObjectParent(org.eclipse.emf.ecore.EObject eParent)